package com.xty.common

import android.content.Context
import android.text.TextUtils
import com.umeng.analytics.MobclickAgent
import com.xty.common.util.CommonUtils


/**
 * 友盟自定义事件上报
 *
 * @param event 事件名
 * @param params 自定义数据
 */
fun onEventObject(context: Context, event:UmengEventId, params: String = ""){
    val value: MutableMap<String, Any?> = HashMap()

    CommonUtils.getMyUserInfo()?.let {
        value["userId"] = CommonUtils.getMyUserId()//用户id
        value["userName"] = it.name //用户名称
      //  value["watchName"] = it.watchName
    }
    value["params"] = params

    MobclickAgent.onEventObject(context, event.eventId, value)
}

enum class UmengEventId(val eventId: String) {
    /**/
    DIALOG("clickPop-upWindow"),
    /*金刚区*/
    FUNCTION("clikcFunction"),
    /**健康方案**/
    FAMILY("clickFamily"),
    /**佩戴管理**/
    WearManager("Android_WearManager"),
    /**操作指南**/
    OperGuide("clickOperationGuide"),
    /**24小时报告**/
    Health24HourReport("click24HoursDetails"),
    /**绑定监护人**/
    BINDINGGUARDIAN("clickBindingGuardian"),
    /**风险评估**/
    HealthRisk("showRisk"),
    /**轮播图**/
    Banner("clickBanner"),
    /**
     * 今日数据详情
     */
    TODAYDATADETAIL("clickTodayDataDetails"),
    /**
     * 日报
     */
    DAILYPAPER("clickDailyPaper"),
    /**
     * 周报
     */
    WEEKLYPAPER("clickWeeklyPaper"),
    /**
     * 月报
     */
    MONTHLY("clickMonthly"),
    /**
     * 年报
     */
    ANNUALREPORT("clickAnnualReport"),
    /**
     * 24小时
     */
    HOURSFOR24("click24Hours"),
    /**
     * 7天
     */
    HEALTHFOR7DAY("click7Day"),
    /**
     * 30天
     */
    HEALTHFOR30DAY("click30Day"),
    /**
     * 消息详情
     */
    MESSAGEDETAIL("clickMsgDetails"),
    /**
     * 商品详情
     */
    GOODS_DETAIL("clickProductDetails"),
    /**
     *商品分类
     */
    GOODS_CATEGORY("clickProductType"),
    /**
     * 创建订单
     */
    CREATE_ORDER("creatOrder"),
    /**
     * 优惠券
     */
    COUPON("clickCoupon"),
    /**
     * 个人信息编辑
     */
    SAVE_USERINFO("saveUserinfo"),
    /**
     * 健康档案
     */
    HEALTHRECORD("showHealthRecord"),

    /**
     * 健康监测
     */
    HEALTH_MONITORING("showHealthMonitoring"),

    /**
     * 健康日报
     */

    HEALTH_DAILY("showHealthDaily"),
    /**
     * 数据对比
     */

    COMPARSION("showDataComparison"),
    /**
     *疾病预警
     */

    Health30Day("showDiseaseWarning"),
    /**
     * 企业资料
     */
    EnterpriseData("clickEnterpriseData"),
    /**
     * 2999创业
     */

    StartBus("click2999"),

    /**
     *穿戴解绑
     */
    Unbind("clickUnbind"),
    /**
     * 舌诊支付
     */
    TonguePay("clickTonguePay"),
    /**
     * 防癌支付
     */
    CancerPay("clickCancerPay")

}



